VMTKTHRESHOLD(1)

NAME
vmtkthreshold - vmtk script vmtkthreshold

DESCRIPTION
Automatic piping vmtkthreshold Parsing options vmtkthreshold

vmtkthreshold : Extract part of surface or mesh with cell entitiy ids

    between given thresholds.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-isurface Surface (vtkPolyData,1): the input surface

-isurfacefile SurfaceInputFileName (str,1): filename for the

    default Surface reader

-imesh Mesh (vtkUnstructuredGrid,1): the input mesh

-imeshfile MeshInputFileName (str,1): filename for the default Mesh

    reader

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where entity ids have been stored

-lowthreshold LowThreshold (int,1); default=0: lower threshold for

    surface filtering

-highthreshold HighThreshold (int,1); default=1: higher threshold

    for surface filtering

-osurfacefile SurfaceOutputFileName (str,1): filename for the

    default Surface writer

-omeshfile MeshOutputFileName (str,1): filename for the default

    Mesh writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-osurface Surface (vtkPolyData,1): the output surface

-omesh Mesh (vtkUnstructuredGrid,1): the output mesh

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where entity ids have been stored